Skip to Content
Wapitick developers

oauth

OAuth 2.1 authorization server for the public API and the MCP server.

OAuth 2.1 authorization server for the public API and the MCP server.

MethodPathOperationScopeTest mode
GET/.well-known/jwks.jsonoauth_jwks_well_known: Public signing keys (JWKS)public-
GET/.well-known/oauth-authorization-serveroauth_server_metadata: Authorization server metadata (RFC 8414)public-
GET/.well-known/openid-configurationoauth_openid_configuration: OpenID-style discovery documentpublic-
GET/oauth/authorizeoauth_authorize: Authorization endpoint (browser)public-
POST/oauth/introspectoauth_introspect: Introspect a token (RFC 7662)public-
GET/oauth/jwks.jsonoauth_jwks: Public signing keys (JWKS)public-
POST/oauth/registeroauth_register: Dynamic client registration (RFC 7591)public-
POST/oauth/revokeoauth_revoke: Revoke a token (RFC 7009)public-
POST/oauth/tokenoauth_token: Token endpointpublic-
GET/v1/oauth/consentoauth_consent_get: Consent screen dataany-
POST/v1/oauth/consentoauth_consent_decide: Approve or deny an applicationany-
GET/v1/whoamiwhoami_get: Who is callinganyyes

Request and response schemas: the interactive reference at https://api.wapitick.com/docs, or docs/api/openapi.json.

This page as Markdown